<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <!-- <link rel="stylesheet" href="css/reset.css">
  <link rel="stylesheet" href="css/style.css"> -->
  <title>SignUp</title>
  <style>
      .div-image{
          background-image: url(images/signup-bg.jpg);
      }

      ::placeholder{
          text-align: center;
      }
  </style>
</head>
<body>
    <div id="register_form" role="form" >
        <div class="container-fluid div-image">
            <div class="container">
                <div class="row d-flex align-items-center min-vh-100">
                    <div class="col-sm-4 mx-auto my-0 jumbotron border border-info" style="background-color: white;">
                        <div class="mb-5">
                            <h2>Sign-up</h2>
                            <p>Please fill in this form to create an account</p>
                            <hr>
                        </div>
                        <div class="form-group row">
                            <div class="col-6">
                                <input id="inp-fname" placeholder="First name" type="text" class="form-control input-lg" />
                            </div>
                            <div class="col-6">
                                <input id="inp-lname" placeholder="Last name" type="text" class="form-control input-lg" />
                            </div>
                       </div>
                       <div class="form-group">
                            <input id="inp-email" placeholder="Email" type="text" class="form-control input-lg" />
                        </div>
                        <div class="form-group">
                            <input id="inp-password" type="password" placeholder="Password" type="text" class="form-control input-lg" />
                        </div>
                        <div class="form-group">
                            <input id="inp-repeat-password" type="password" placeholder="Confirm Password" type="text" class="form-control input-lg" />
                        </div>  <div class="form-group">
                            <input id="inp-checkbox" type="checkbox" > I agree all statements in <a href="#">Terms of service</a>
                        </div>
                       <div class="text-center mt-4">
                           <button class="btn btn-success btn-lg btn-block" style="width: 100%;" id="btn-sign">SIGN UP</button>
                       </div>
                    </div>
                </div>
            </div>
        </div>  
    </div>
</body>
<script>

    $(document).ready(function(){
        $("#btn-sign").on("click",function(){
            onBtnSignUpClick()
        })
        
        
        function onBtnSignUpClick() {

            
            var vSignUpData = {
                firstname: '',
                lastname: '',
                email: '',
                password: ''
            }
            vSignUpData.firstname = $('#inp-fname').val();
            vSignUpData.lastname = $('#inp-lname').val();
            vSignUpData.email = $('#inp-email').val();
            vSignUpData.password = $('#inp-password').val();
            

            var vCheck = validateForm(vSignUpData);
            if(vCheck) {
                $.ajax({
                    url: "http://42.115.221.44:8080/devcamp-auth/users/signup",
                    type: 'POST',
                    dataType: "json",
                    contentType: "application/json; charset=utf-8",
                    data: JSON.stringify(vSignUpData),
                    success: function (pRes) {
                        console.log(pRes)
                    },
                    error: function (pAjaxContext) {
                        console.log(pAjaxContext.responseJSON.message);
                    }
                });
            } 

            
        }

        //Validate dữ liệu từ form
        function validateForm(param) {
            if(param.firstname == ""){
                alert("First name không được để trống")
                return false;
            }
            if(param.lastname == ""){
                alert("Last name không được để trống")
                return false;
            }
            if(!validateEmail(param.email)||param.email == "") {
                alert("Email không phù hợp");
                return false;
            };

            if(param.password === "") {
                alert("Password không phù hợp");
                return false;
            }
            
            if(param.password !== $('#inp-repeat-password').val()) {
                alert("Confirm Password không giống Password")
                return false;
            }
            return true;
        }

        // Hàm validate email bằng regex
        function validateEmail(email) {
            const regex = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
            return regex.test(String(email).toLowerCase());
        }
    })


  
</script>